// This programe was written in terms of logic by simeon webber 22/6/2009
// its use it to replace a runcount defuncted pub hand drier controller
// a tiktic used to trick a pub into buying a new unit
// the operation also has been extended in this way
// if you press the button a cycle off the drier will run for 35 seconds
// if you press the start button again during this 35 second  
// the cycle will end 
// a new cycle is initiated on another button press after 2 second press

#include <timeronoff.H>
#fuses LP,NOPROTECT,NOWDT // programmer directives
#define LOAD PIN_B0  //define output 'load' pin

void main(void)
{ 
   BIT BTN; // button sudoname
   int count; // count variable for seconds
   while(TRUE)
   {
      // start of a check loop
      count=35; // set/reset  to 35 seconds count +ins time {about ~ 1 sec}  so what margin?
      BTN=input(PIN_B1); // check button for activity 
      if(!BTN) // if active low detected run a cycle
      {
        do{
            output_high(LOAD);// turn the drier on
            delay_ms(1000); // wait 1 second
            BTN=input(PIN_B1); // is there a cycle escape button press active?
            if(!BTN) // if active low detected 
            {
               // set count to only 1 and in 1 second the count loop will exit
               count=1; 
            }
         }while(--count);
         delay_ms(1000);  // wait for 1 second debounce
      }
      output_low(LOAD); // turn the drier off 
      delay_ms(2000);  // wait for 2 second button and cycle debounce 
   }
}



